## grid-packaging-tools 3.2globus2

=== foo-1.0/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.






SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = $(GLOBUS_LOCATION)
exec_prefix = $(GLOBUS_LOCATION)

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/globus_core_setup
pkglibdir = $(libdir)/globus_core_setup
pkgincludedir = $(includedir)/globus_core_setup

top_builddir = .

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AS = @AS@
CC = @CC@
DLLTOOL = @DLLTOOL@
FILELIST_FILE = /home/mbletzin/work/core/setup/pkgdata/master.filelist
GLOBUS_FLAVOR_NAME = noflavor
GPT_CFLAGS = @GPT_CFLAGS@
GPT_CONFIG_CFLAGS = 
GPT_CONFIG_INCLUDES = 
GPT_CONFIG_LIBS = 
GPT_CONFIG_PKG_LIBS = 
GPT_EXTERNAL_INCLUDES = 
GPT_EXTERNAL_LIBS = 
GPT_INCLUDES = 
GPT_LDFLAGS =   -L/home/mbletzin/work/install/lib
GPT_LIBS = @GPT_EXTERNAL_LIBS@
GPT_LIB_LINKS =  
GPT_LOCATION = /home/mbletzin/work/install
GPT_PGM_LINKS =  
LIBTOOL = $(SHELL) $(GLOBUS_LOCATION)/sbin/libtool-$(GLOBUS_FLAVOR_NAME)
LN_S = 
MAKEINFO = makeinfo
OBJDUMP = @OBJDUMP@
PACKAGE = globus_core_setup
RANLIB = @RANLIB@
VERSION = 2.0
builddir = /home/mbletzin/work/core/setup

setupdir = $(GLOBUS_LOCATION)/setup/globus

testdir = $(GLOBUS_LOCATION)/test

scriptsysconfdir = $(GLOBUS_LOCATION)/etc

flavorincludedir = $(GLOBUS_LOCATION)/include/$(GLOBUS_FLAVOR_NAME)

pkgdir = $(GLOBUS_LOCATION)/etc/globus_packages/$(PACKAGE)

aclocaldir = $(GLOBUS_LOCATION)/share/globus_aclocal

amdirdir = $(GLOBUS_LOCATION)/share/globus_amdir

doxygendir = $(GLOBUS_LOCATION)/share/doxygen

docdir = $(GLOBUS_LOCATION)/share/doc

LINK_BAK = orig
AUTOMAKE_OPTIONS = no-dependencies

setup_SCRIPTS =  	findshelltools 	setup_globus_core 	setup_globus_core.pl


setup_DATA =  	globus-script-initializer.in 	globus-sh-tools.sh.in


SUBDIRS = pkgdata

EXTRA_DIST = findshelltools 	setup_globus_core 	setup_globus_core.pl 	globus-script-initializer.in 	globus-sh-tools.sh.in bootstrap         globus_automake_pre         globus_automake_post         globus_automake_pre_top         globus_automake_post_top

ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
SCRIPTS =  $(setup_SCRIPTS)

DATA =  $(setup_DATA)

DIST_COMMON =  Makefile.am Makefile.in aclocal.m4 config.guess \
config.sub configure configure.in install-sh ltconfig ltmain.sh missing \
mkinstalldirs


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) $(top_srcdir)/globus_automake_pre $(top_srcdir)/globus_automake_pre_top $(top_srcdir)/globus_automake_post $(top_srcdir)/globus_automake_post_top
	cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL)

config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure: $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

install-setupSCRIPTS: $(setup_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(setupdir)
	@list='$(setup_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(setupdir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(setupdir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(setupdir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(setupdir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-setupSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(setup_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(setupdir)/`echo $$p|sed '$(transform)'`; \
	done

install-setupDATA: $(setup_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(setupdir)
	@list='$(setup_DATA)'; for p in $$list; do \
	  if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(setupdir)/$$p"; \
	    $(INSTALL_DATA) $(srcdir)/$$p $(DESTDIR)$(setupdir)/$$p; \
	  else if test -f $$p; then \
	    echo " $(INSTALL_DATA) $$p $(DESTDIR)$(setupdir)/$$p"; \
	    $(INSTALL_DATA) $$p $(DESTDIR)$(setupdir)/$$p; \
	  fi; fi; \
	done

uninstall-setupDATA:
	@$(NORMAL_UNINSTALL)
	list='$(setup_DATA)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(setupdir)/$$p; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.



all-recursive install-data-recursive install-exec-recursive \
installdirs-recursive install-recursive uninstall-recursive  \
check-recursive installcheck-recursive info-recursive dvi-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $(MAKEFLAGS); amf=$$2; \
	dot_seen=no; \
	rev=''; list='$(SUBDIRS)'; for subdir in $$list; do \
	  rev="$$subdir $$rev"; \
	  test "$$subdir" = "." && dot_seen=yes; \
	done; \
	test "$$dot_seen" = "no" && rev=". $$rev"; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
   if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
   fi; \
	done; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	-rm -rf $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) dist
	-rm -rf $(distdir)
	@banner="$(distdir).tar.gz is ready for distribution"; \
	dashes=`echo "$$banner" | sed s/./=/g`; \
	echo "$$dashes"; \
	echo "$$banner"; \
	echo "$$dashes"
dist: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
dist-all: distdir
	-chmod -R a+r $(distdir)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(distdir).tar.gz $(distdir)
	-rm -rf $(distdir)
distdir: $(DISTFILES)
	-rm -rf $(distdir)
	mkdir $(distdir)
	-chmod 777 $(distdir)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
	for subdir in $(SUBDIRS); do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    chmod 777 $(distdir)/$$subdir; \
	    (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir=../$(distdir) distdir=../$(distdir)/$$subdir distdir) \
	      || exit 1; \
	  fi; \
	done
	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
info-am:
info: info-recursive
dvi-am:
dvi: dvi-recursive
check-am: all-am
check: check-recursive
installcheck-am:
installcheck: installcheck-recursive
install-exec-am:
install-exec: install-exec-recursive

install-data-am: install-setupSCRIPTS install-setupDATA
install-data: install-data-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-recursive
uninstall-am: uninstall-setupSCRIPTS uninstall-setupDATA
uninstall: uninstall-recursive
all-am: Makefile $(SCRIPTS) $(DATA)
all-redirect: all-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs)  $(DESTDIR)$(setupdir) $(DESTDIR)$(setupdir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-recursive

clean-am:  clean-tags clean-generic mostlyclean-am

clean: clean-recursive

distclean-am:  distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-recursive
	-rm -f config.status

=== debian/changelog ===
grid-packaging-tools (3.2globus2-5) unstable; urgency=low

  * Convert to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Jun 2010 19:54:21 +0200

grid-packaging-tools (3.2globus2-4) unstable; urgency=low

  * Make GPT work with automake 1.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Jun 2009 19:30:57 +0200

grid-packaging-tools (3.2globus2-3) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 14 May 2009 09:02:17 +0200

grid-packaging-tools (3.2globus2-2) unstable; urgency=low

  * Adding version-info patch.
  * Fix wrong URLs in documentation and control files (Closes: #521267).
  * Explicitly mention version 2 as the GPL version that applies to
    the Debian packaging.
  * Updated Debian policy to 3.8.1, no changes required.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 12:48:00 +0100

grid-packaging-tools (3.2globus2-1) unstable; urgency=low

  * Initial release (Closes: #512519).
    - empty globus_core.tar.gz
    - no tools and support directories

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 06 Dec 2008 17:27:05 +0100

=== debian/control ===
Source: grid-packaging-tools
Section: devel
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
Homepage: http://www.gridpackagingtools.com/

Package: grid-packaging-tools
Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, ${misc:Depends}
Architecture: all
Description: System for managing source dependencies in large projects
 The Grid Packaging Tools (GPT) package is a collection of packaging
 tools built around an XML based packaging data format. This format
 supports the definition of complex dependency and compatibility relationships
 between packages.
 .
 The tools provide a means for developers to define the packaging data and
 include them as part of their source code distribution.  Binary packages
 can be automatically generated from this data. The packages defined by
 GPT are compatible with other packages and can be easily converted.
 .
 GPT is a key tool for the build process of the Globus grid middleware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

include /usr/share/quilt/quilt.make

name = grid-packaging-tools
version = 3.2globus2

_prefix = /usr

perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)

configure: configure-stamp
	:

configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	touch packaging_tools/aclocal.m4 && \
	touch packaging_tools/Makefile.in && \
	touch packaging_tools/configure

	for f in config.sub config.guess ; do \
	  if [ -e /usr/share/misc/$$f -a ! \
	       -e packaging_tools/$$f.dist ] ; then \
	    mv packaging_tools/$$f packaging_tools/$$f.dist ; \
	    cp -f /usr/share/misc/$$f packaging_tools/$$f ; \
	  fi ; \
	done

	cd packaging_tools && ./configure \
	  --host=$(DEB_HOST_GNU_TYPE) \
	  --build=$(DEB_BUILD_GNU_TYPE) \
	  --prefix=$(_prefix) \
	  --mandir='$${datadir}/man' \
	  --infodir='$${datadir}/info' \
	  --libexecdir='$${datadir}/globus' \
	  --with-perlmoduledir=$(perl_vendorlib) \
	  --disable-compat

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	cd packaging_tools && $(MAKE)

	touch $@

unpatch: cleanup

clean: unpatch
	:

cleanup:
	dh_testdir
	dh_testroot

	rm -f build-stamp configure-stamp

	cd packaging_tools && if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	# leftover file after distclean due to broken Makefile
	rm -f packaging_tools/gpt_scripts_list

	for f in config.sub config.guess ; do \
	  if [ -e packaging_tools/$$f.dist ] ; then \
	    mv -f packaging_tools/$$f.dist packaging_tools/$$f ; \
	  fi ; \
	done

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	cd packaging_tools && \
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(name) install

	cd packaging_tools && \
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(name) install-man

	# Remove perl version check script that is not used for anything
	# (and even gets installed without shebang so it is not executable
	# from the path) 
	rm $(CURDIR)/debian/$(name)/usr/sbin/gpt-perl-version

	# Remove old globus core source tarball - users should install an
	# up-to-date globus-core package instead of having gpt compile it
	# from source 
	rm $(CURDIR)/debian/$(name)/usr/share/globus/globus_core-src.tar.gz

	# Remove temporary build file
	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt_scripts_list

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
	:

get-orig-source:
	if [ -r $(name)_$(version).orig.tar.gz ] ; then \
	  echo "$(name)_$(version).orig.tar.gz already exists." ; \
	else \
	  echo "Fetching and untaring upstream version." ; \
	  wget -O - http://www-unix.globus.org/ftppub/gt4/4.2.1/gpt/gpt-$(version).tar.gz | tar -xzf - ; \
	  echo "Removing redundant or unnecessary files/directories." ; \
	  rm -r gpt/support gpt/tools gpt/packaging_tools/etc/globus_core-src.tar.gz ; \
	  touch gpt/packaging_tools/etc/globus_core-src.tar.gz ; \
	  mv gpt $(name)-$(version) ; \
	  echo "Packing it up again." ; \
	  GZIP=-9 tar --exclude=CVS -czf \
	    $(name)_$(version).orig.tar.gz $(name)-$(version) ; \
	  echo "Cleaning up." ; \
	  rm -rf $(name)-$(version) ; \
	fi

.PHONY: build clean binary-indep binary install configure get-orig-source

## grid-packaging-tools 3.5

=== debian/changelog ===
grid-packaging-tools (3.5-3) unstable; urgency=low

  * Fix compatibility with autoconf 2.64

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 14 Jan 2012 13:30:59 +0100

grid-packaging-tools (3.5-2) unstable; urgency=low

  * Fix library handling on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Jan 2012 06:57:53 +0100

grid-packaging-tools (3.5-1) unstable; urgency=low

  * Update to version 3.5 (Closes: #612524)
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Dec 2011 19:51:31 +0100

grid-packaging-tools (3.2globus2-6) unstable; urgency=low

  * Fix problem with special characters in buildroot path

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 24 Mar 2011 20:01:13 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = grid-packaging-tools
version = 3.5

_prefix = /usr

perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)

configure: configure-stamp

configure-stamp:
	dh_testdir

	touch aclocal.m4 && touch Makefile.in && touch configure

	dh_autotools-dev_updateconfig

	./configure \
	  --prefix=$(_prefix) \
	  --mandir='$${datadir}/man' \
	  --infodir='$${datadir}/info' \
	  --libexecdir='$${datadir}/globus' \
	  --with-perlmoduledir=$(perl_vendorlib)

	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	touch aclocal.m4 && touch Makefile.in && touch configure

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autotools-dev_restoreconfig

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/$(name) install

	# Remove old globus core source tarball - users should install an
	# up-to-date globus-core package instead of having gpt compile it
	# from source 
	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install

## grid-packaging-tools 3.6.2

=== debian/changelog ===
grid-packaging-tools (3.6.2-1) unstable; urgency=low

  * Update to version 3.6.2
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 14:05:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), autotools-dev
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
 Homepage: http://www.gridpackagingtools.com/
 
 Package: grid-packaging-tools
-Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, ${misc:Depends}
+Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, libxml-parser-perl, ${misc:Depends}
 Architecture: all
 Description: System for managing source dependencies in large projects
  The Grid Packaging Tools (GPT) package is a collection of packaging

=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 	# Remove old globus core source tarball - users should install an
 	# up-to-date globus-core package instead of having gpt compile it
-	# from source 
+	# from source
 	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz
 
 binary: binary-arch binary-indep

## grid-packaging-tools 3.6.3

=== debian/changelog ===
grid-packaging-tools (3.6.3-2) unstable; urgency=low

  * Add --force-missing to automake call in gpt-bootstrap.sh

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 22 May 2013 08:54:51 +0200

grid-packaging-tools (3.6.3-1) unstable; urgency=low

  * Update to version 3.6.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 17:08:24 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
 Homepage: http://www.gridpackagingtools.com/

## grid-packaging-tools 3.6.7

=== debian/changelog ===
grid-packaging-tools (3.6.7-1) unstable; urgency=low

  * Update to version 3.6.7 (Globus Toolkit 5.2.5)
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 08 Nov 2013 14:35:49 +0100

grid-packaging-tools (3.6.3-3) unstable; urgency=low

  * Move flavor definitions to dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Oct 2013 12:33:47 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Package: grid-packaging-tools
 Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, libxml-parser-perl, ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: System for managing source dependencies in large projects
  The Grid Packaging Tools (GPT) package is a collection of packaging
  tools built around an XML based packaging data format. This format

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 name = grid-packaging-tools
-version = 3.5
 
 _prefix = /usr
 
@@ -65,6 +64,8 @@
 	# from source
 	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz
 
+	chmod 644 $(CURDIR)/debian/$(name)/usr/share/globus/gpt/gpt_noinstaller
+
 binary: binary-arch binary-indep
 
 binary-arch:
